Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        'Insert one RTF document inside another RTF in memory			 
        'If you need more information about HTML-to-RTF Pro DLL .Net email us at:
        'support[at]sautinsoft.com
        Dim h As New SautinSoft.HtmlToRtf
		'After purchasing the license, please insert your serial number here to activate the component
		'h.Serial = "XXXXXXXXXXXXXXX"

        Dim firstRtf As String = ""
        Dim secondRtf As String = ""
        Dim singleRtf As String = ""
        Dim stringToReplace As String = "{replace me}"

        '1. Read contents of the RTF files
        firstRtf = ReadFromFile("d:\report1.rtf")
        secondRtf = ReadFromFile("d:\report2.rtf")

        'Replaces all matches of string "whatReplaceInRtf" by the string "wherewithReplaceInRtf" and returns a new RTF document
        'In this example replaces all matches of the string "{replace me}" by the string from variable 'secondRtf'
        singleRtf = h.MergeAndReplaceRtfString(firstRtf, stringToReplace, secondRtf)

        'New RTF string based on rtfSource
        'null - operation failed
        If singleRtf <> "" Then

            Dim ret As Integer = WriteToFile("d:\single.rtf", singleRtf)
            If ret = 0 Then
                System.Diagnostics.Process.Start("d:\single.rtf")
            End If
        End If
    End Sub
    Public Function ReadFromFile(ByVal fileName As String) As String

        Dim fileString As String = ""
        Try
            Dim fs As System.IO.FileStream = New FileStream(fileName, FileMode.Open, FileAccess.Read, FileShare.Read)
            Dim b(CInt(Fix(fs.Length)) - 1) As Byte
            If fs.Read(b, 0, CInt(Fix(fs.Length))) > 0 Then
                Dim arCharRes(fs.Length - 1) As Char
                For i As Integer = 0 To fs.Length - 1
                    arCharRes(i) = ChrW(b(i))
                Next i
                fileString = New String(arCharRes)
            End If
            fs.Close()
            Return fileString
        Catch
            Return ""
        End Try
    End Function
    Public Function WriteToFile(ByVal fileName As String, ByVal fileStr As String) As Integer
        Try
            Dim sw As New StreamWriter(fileName, False)
            sw.Write(fileStr)
            sw.Close()
        Catch
            Return 2
        End Try
        Return 0
    End Function
End Module
